# $Revision: 1.32 $, $Date: 2002/11/08 21:58:00 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Compress
%define	pnam	Zlib
Summary:	Compress::Zlib perl module
Summary(es):	Modulo Perl Compress::Zlib
Summary(pl):	Modu perla Compress::Zlib
Summary(pt_BR):	Modulo Perl Compress::Zlib
Name:		perl-Compress-Zlib
Version:	1.19
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compress::Zlib - Interface to zlib library.

%description -l pl
Compress::Zlib - interfejs do biblioteki zlib.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf README ANNOUNCE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitearch}/Compress/Zlib.pm
%dir %{perl_sitearch}/auto/Compress/Zlib
%{perl_sitearch}/auto/Compress/Zlib/Zlib.bs
%{perl_sitearch}/auto/Compress/Zlib/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/Compress/Zlib/Zlib.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Compress-Zlib.spec,v $
Revision 1.32  2002/11/08 21:58:00  kloczek
- merge translations from Conectiva.

Revision 1.31  2002/11/08 19:03:49  radek
- version 1.19

Revision 1.30  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.29  2002/05/11 21:05:38  areq
- 1.16, STBR

Revision 1.28  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.26  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.24  2002/02/10 15:24:42  depesz
adapterized

Revision 1.23  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/09/02 17:13:40  kloczek
- updated to 1.14.

Revision 1.21  2001/06/06 16:14:19  mis
- autoupdated to 1.13

Revision 1.20  2001/05/06 14:35:59  mis
- autoupdated to 1.12

Revision 1.19  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/04/17 12:06:32  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.17  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.16  2001/02/20 14:43:49  mis
- updated (by autoup) to 1.11

Revision 1.15  2001/02/06 09:28:57  kloczek
- updated to 1.10.

Revision 1.14  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2001/01/22 09:03:48  kloczek
- updated to 1.09.

Revision 1.12  2000/12/29 17:30:08  kloczek
- release 3: rebuild agaunst perl 5.6.

Revision 1.11  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.10  2000/11/22 11:00:31  kloczek
- release 2: use new rpm automation.

Revision 1.9  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.5  2000/02/17 20:36:27  pius
- updated to 1.08

Revision 1.4  1999/11/07 11:20:09  pius
- updated to 1.05

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
